# -*- coding: utf-8 -*-
from PyQt5.QtCore import QMetaObject, pyqtSlot
from PyQt5.QtWidgets import QApplication, QWidget, QGridLayout, QPushButton

class Widget(QWidget):
    def __init__(self):
        super(Widget, self).__init__()
        gl = QGridLayout(self)
        self.pushButton = QPushButton("Click me", self)
        gl.addWidget(self.pushButton, 0, 0, 1, 1)
        self.pushButton.setObjectName("pushButton")
        QMetaObject.connectSlotsByName(self)

    @pyqtSlot()
    def on_pushButton_clicked(self):
        print("Button clicked")

if __name__ == "__main__":
    import sys
    app = QApplication(sys.argv)
    w = Widget()
    w.show()
    sys.exit(app.exec_())

# Python: 3.4.0 (default, Apr 11 2014, 13:05:11) 
# [GCC 4.8.2]
# sip: 4.15.5
# Qt: 5.2.1
# PyQt: 5.2.1
